import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

	@Override
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int n = inf.nextInt();
		for (int i = 0; i < n; i++) {
			int juryAns = ans.nextInt();
			int partAns = ouf.nextInt();
			if (juryAns != partAns) {
				return new Outcome(Type.WA, "Wrong number at " + (i + 1) + " position: expected: " + juryAns + ", but found: " + partAns);
			}
		}
		
		return new Outcome(Type.OK, "ok");
	}
}